unit FMXUnit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  FMX.Objects, KA.FMX.KASignature, FMX.ListBox, FMX.Colors, FMX.Edit;

type
  TForm1 = class(TForm)
    KASignature1: TKASignature;
    Panel1: TPanel;
    Rectangle1: TRectangle;
    Label1: TLabel;
    BrushSizeSpinBox1: TSpinBox;
    Label2: TLabel;
    BrushColorComboBox1: TColorComboBox;
    Label3: TLabel;
    BrushJoinComboBox1: TComboBox;
    Label4: TLabel;
    BrushCapComboBox1: TComboBox;
    ClearButton1: TButton;
    SaceButton1: TButton;
    SaveDialog1: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure BrushSizeSpinBox1Change(Sender: TObject);
    procedure BrushColorComboBox1Change(Sender: TObject);
    procedure BrushJoinComboBox1Change(Sender: TObject);
    procedure BrushCapComboBox1Change(Sender: TObject);
    procedure ClearButton1Click(Sender: TObject);
    procedure SaceButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}



procedure TForm1.FormCreate(Sender: TObject);
begin
  KASignature1.Brush.Cap       := TStrokeCap.Round;
  KASignature1.Brush.Join      := TStrokeJoin.Round;
  KASignature1.Brush.Thickness := 5;
  BrushSizeSpinBox1.Value      := KASignature1.Brush.Thickness;
  BrushColorComboBox1.Color    := KASignature1.Brush.Color;
end;

procedure TForm1.SaceButton1Click(Sender: TObject);
begin
  if SaveDialog1.Execute then KASignature1.SaveToFile(SaveDialog1.FileName)
end;

procedure TForm1.BrushJoinComboBox1Change(Sender: TObject);
begin
  Case BrushCapComboBox1.ItemIndex of
       0 : KASignature1.Brush.Join := TStrokeJoin.Miter;
       1 : KASignature1.Brush.Join := TStrokeJoin.Round;
       2 : KASignature1.Brush.Join := TStrokeJoin.Bevel;
  End;
  KASignature1.Repaint;
end;

procedure TForm1.BrushSizeSpinBox1Change(Sender: TObject);
begin
  KASignature1.Brush.Thickness := BrushSizeSpinBox1.Value;
  KASignature1.Repaint;
end;

procedure TForm1.ClearButton1Click(Sender: TObject);
begin
  KASignature1.Clear;
  KASignature1.Repaint;
end;

procedure TForm1.BrushCapComboBox1Change(Sender: TObject);
begin
  Case BrushCapComboBox1.ItemIndex of
       0 : KASignature1.Brush.Cap := TStrokeCap.Flat;
       1 : KASignature1.Brush.Cap := TStrokeCap.Round;
  End;
  KASignature1.Repaint;
end;

procedure TForm1.BrushColorComboBox1Change(Sender: TObject);
begin
  KASignature1.Brush.Color := BrushColorComboBox1.Color;
  KASignature1.Repaint;
end;

end.
